ion-content {
    --background: #05f url("../../assets/bg.png") no-repeat center center / cover;
}

.col-640-container {
    width: 640px;
    max-width: 100%;
    margin: auto;
}

.row {
    width: 100%;
    text-align: center;
}

.logo {
    img {
        width: 90px;
        margin: 10vh auto 5vh auto;
    }
}

.title {
    margin: 0px auto;

    p {
        color: #ffffff;
    }

    h1 {
        font-size: 16pt;
        color: #fff;
        margin-top: 0;
        margin-block-start: 0;
    }
}

.large-btn {
    width: 90%;
    height: 66px;
    margin: 60px auto;
    border: solid 1px #ffffff;
    border-radius: 30px;
    line-height: 66px;
    color: #ffffff;
    font-size: 12pt;
    text-transform: none;
}

.form {
    width: 90%;
    margin: 20px auto;
    padding: 20px 0px 10px 0px;
    background-color: #ffffff;
    border-radius: 15px;
    box-shadow: 0px 0px 20px -5px rgba(0,0,0,0.25);;

    input {
        width: 90%;
        border: none;
        border-bottom: 1px solid #ccc;
        padding: 0.75em 0 0.25em 0;
        color: #000;
        font-size: 11pt;
        text-transform: none;
    }

    input:focus {
        outline: none;
        border: none;
        border-bottom: 1px solid #407ffd;
    }
}

.error-row {
    height: 40px;
    
    .error {
        color: #ff4400;
        font-size: 10pt;
    }
}

.submit-btn {
    margin: 4px auto;
    color: #ffffff;
    font-weight: bold;
    font-size: 14pt;
    text-transform: none;
}

.back-btn {
    padding: 15px;
    color: #fff;

    p {
        display: block;
        width: fit-content;
        margin: auto;
        color: #fff;

        ion-icon {
            display: inline-block;
            vertical-align: middle;
        }
        span {
            display: inline-block;
            vertical-align: middle;
            padding-right: 5px;
        }
    }
}

.loading {
    display: block;
    width: 100%;
    text-align: center;
}

.foot {
    position: absolute;
    bottom: 0;
    width: 100%;
    text-align: center;

    .foot-text {
        margin: auto auto 20px auto;

        p {
            color: #ffffff;
        }

        a {
            color: #fff;
            font-weight: bold;
            text-decoration: underline;
        }
    }
}


.passField {
    height: 3em;
    position: relative;
    width: 90%;
    margin: 10px auto 0px auto;

    input {
        position: absolute;
        left: 0;
        width: 100%;
    }

    .right-btn {
        position: absolute;
        right: 0em;
        width: 35px;
        height: 30px;
        background-color: #ffffff;
        padding: 5px 0.5em 0 5px;

        ion-icon {
            font-size: 1.5em;
        }
    }
}

.icon-fingerprint {
    font-size: 1.5em;
    color: #fff;
}

#signup {
    height: 8vh;
    width: 100%;
    text-align: center;
    color: #fff;
    display: block;

    a {
        color: #fff;
        font-weight: bold;
        text-decoration: underline;
    }
}


.emailField {
    text-align: center;
}

.select-css {
    display: block;
    font-size: 16px;
    font-family: sans-serif;
    color: #000;
    line-height: 1.3;
    padding: 0.6em 1.4em 0.5em 0.8em;
    width: 100%;
    max-width: 100%;
    box-sizing: border-box;
    margin: 0 0 5px 0;
    // border: none;
    // box-shadow: 0 1px 0 1px rgba(0, 0, 0, 0.04);
    border-radius: 0.5em;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    background-color: #fff;
    background-repeat: no-repeat, repeat;
    background-position: right 0.7em top 50%, 0 0;
    background-size: 0.65em auto, 100%;
    overflow: hidden;
}
.select-css::-ms-expand {
    display: none;
}
.select-css:hover {
    border-color: #888;
}
.select-css:focus {
    border-color: #aaa;
    box-shadow: 0 0 1px 3px rgba(59, 153, 252, 0.7);
    box-shadow: 0 0 0 3px -moz-mac-focusring;
    color: #222;
    outline: none;
}
.select-css option {
    font-weight: normal;
}

.btnFingerprint {
    padding-bottom: 0.5em;
}

.loading-layer {
    position: fixed;
    width: 100%;
    height: 100%;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.2);

    ion-spinner {
        margin: 45% auto;
    }
}